/* 全局样式 */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Microsoft YaHei", Arial, sans-serif;
}

html {
  font-size: 16px;
  /* 1rem = 16px */
}

body {
  color: #333;
  line-height: 1.6;
  background: white;
}

.table-computer_banner {
  display: none;
}

.table-computer {
  display: none;
}

.feature-card {
  opacity: 0;
  transform: translateY(80px);
  transition: all 0.6s ease-out;
}

.feature-card.visible {
  opacity: 1;
  transform: translateY(0);
}

/*  #canvas-bg {
        	width: 100%;
        	height: 3500px;
        } */

.posi {
  position: absolute;
  top: 0;
}

a {
  text-decoration: none;
  color: #333;
}

.container {
  width: 80rem;
  margin: 0 auto;
  /* padding: 0 1.875rem; */
}

.btn {
  display: inline-block;
  padding: 0.625rem 1.25rem;
  background: #0066cc;
  color: white;
  border-radius: 0.25rem;
  /* transition: all 0.3s; */
}

.btn:hover {
  background: #0055aa;
  /* transform: translateY(-2px); */
}

.section {
  padding: 5rem 0;
}

.section-title {
  font-size: 2.6rem;
  margin-bottom: 0.9375rem;
  color: #111827;
  text-align: center;
}

.section-subtitle {
  color: #737373;
  margin-bottom: 3.125rem;
  text-align: center;
  max-width: 50rem;
  margin-left: auto;
  margin-right: auto;
  font-size: 1.5rem;
}

/* 导航栏 */

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.9375rem 0;
}

.logo {
  font-size: 1.375rem;
  font-weight: bold;
  color: #0274ff;
  display: flex;
  align-items: center;
}

.logo img {
  width: 3.2rem;
  height: 3.6rem;
  margin-right: 0.625rem;
}

.logo span {
  font-size: 1.8rem;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-right {
  display: flex;
  align-items: center;
}

.nav-right img {
  width: 1.5rem;
  height: 1.5rem;
  margin-right: 0.625rem;
}

.nav-right span {
  font-size: 1.3rem;
  color: #737373;
}

.nav-right p {
  background-color: #3172f6;
  padding: 0.4375rem 1rem;
  color: #fff;
  border-radius: 0.5rem;
  font-size: 1.2rem;
  letter-spacing: 0.0625rem;
  cursor: pointer;
}

.light-dot {
  display: flex;
  padding-top: 0.625rem;
  position: relative;
  right: 1.5rem;
}

.light-dot li {
  display: flex;
  align-items: center;
  flex-direction: column;
  min-width: 9rem;
}

.light-dot li img {
  width: 5rem;
  height: 5rem;
  margin-bottom: 1rem;
}

.light-dot li p {
  font-size: 14px;
  color: #000;
}

.nav-right p a {
  color: #fff;
}

/* 轮播图 */
.slider-container {
  width: 100%;
  height: 35rem;
  background: url("../images/banner.png") no-repeat;
  background-size: cover;
  background-position: center;
}

.slider-container div {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 100%;
}

.slider-container img {
  width: 35rem;
  height: 10.7rem;
  margin-bottom: 1.5rem;
}

.slider-container h1 {
  font-size: 5rem;
  height: 110px;
  font-family: PingFang SC;
  font-weight: 800;
  color: #000000;
}

.slider-container h1:last-of-type {
  margin-bottom: 24px;
}

.slider-container p {
  font-size: 1.25rem;
  color: #666666;
}

.title-box {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 5rem;
}

.title-box h2 {
  margin: 0 1.25rem;
  font-size: 3.75rem;
}

.title-box img {
  width: 2rem;
  height: 2rem;
}

/* 服务部分 */
.services-grid {
  display: flex;
  flex-direction: column;
  margin-right: -1.25rem;
}

.service-card {
  width: 100%;
  height: 29.25rem;
  background-size: 70% 100%;
  background-position: top right;
  background-repeat: no-repeat;
  padding: 3.75rem;
  border-radius: 1rem;
  background-color: #f0f4fe;
  margin-bottom: 3.75rem;
  overflow: hidden;
  position: relative;
}

.service-card2 {
  position: absolute;
  right: 1.25rem;
}

.service-card:first-of-type {
  background-image: url("../images/case1.png");
}

.service-card:nth-of-type(2) {
  background-image: url("../images/case2.png");
  overflow: hidden;
}

.service-card:nth-of-type(2) {
  background-position: left;
}

.service-card:nth-of-type(3) {
  background-image: url("../images/case3.png");
}

.service-card2 > p:last-of-type {
  font-size: 1.25rem;
  color: #666666;
}

.mobile-banner-text {
  display: none;
}

.case-desc {
  width: 100%;
  display: flex;
  align-items: center;
  margin-bottom: 24px;
}

.case-desc img {
  width: 6.5625rem;
  height: 3.5rem;
  margin-right: 1rem;
}

.case-desc .img2 {
  width: 7.5rem;
  height: 2.5rem;
  margin-right: 1rem;
}

.case-desc .img3 {
  width: 3.125rem;
  height: 3.5rem;
  margin-right: 1rem;
}

.case-desc span {
  color: #000;
  font-size: 2.5rem;
  font-weight: 600;
}

.service-icon {
  font-size: 3rem;
  color: #0066cc;
  margin-bottom: 1.25rem;
}

.service-card > p:nth-of-type(2) {
  font-size: 1.25rem;
  color: #666;
}

.service-card h3 {
  margin-bottom: 0.7rem;
  font-size: 1.3rem;
}

.service-card p:last-child {
  font-size: 1.25rem;
  color: #666666;
  padding-top: 24px;
}

.service-card > img,
.service-card2 > img {
  width: 6.875rem;
  height: 2.5rem;
  margin-top: 2.75rem;
}

.service-card .sprite-img {
  position: relative;
  right: 0.9375rem;
}

.service-card .sprite-img img {
  width: 33rem;
  height: 6.2rem;
  margin-top: 0.75rem;
}

/* 关于我们 */
.about-content {
  display: flex;
  align-items: center;
  gap: 3.125rem;
}

.img-box {
  width: 26rem;
  height: 100%;
}

.img-box img {
  width: 100%;
  height: 100%;
}

.card-title {
  font-size: 1.25rem;
  color: #000;
  font-weight: 600;
  margin-bottom: 1rem;
}

.case-desc {
  font-size: 1rem;
}

#cases {
  background-color: #f0f4fe;
  padding-top: 7.5rem;
  padding-bottom: 7.5rem;
}

/* 成功案例 */
.cases-grid {
  display: flex;
  justify-content: space-between;
}

.case-card {
  border-radius: 0.5rem;
  overflow: hidden;
  margin-right: 0.9375rem;
  box-shadow: 0 0.3125rem 0.9375rem rgba(0, 0, 0, 0.1);
  transition: all 0.3s;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.case-image {
  display: flex;
  margin-bottom: 1rem;
}

.case-image img {
  width: 3.4rem;
  height: 3.4rem;
  margin-right: 1rem;
}

.case-image div p:first-of-type {
  color: #111827;
  font-weight: 600;
  font-size: 1.2rem;
}

.case-image div p:last-of-type {
  color: #737373;
}

.case-card {
  padding: 1.5rem 2rem;
  background-color: #fff;
}

.case-card > p {
  color: #111827;
  font-size: 0.875rem;
  margin-bottom: 1.25rem;
}

.star-box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 1.25rem;
}

.star-box img {
  width: 0.9375rem;
  height: 0.9375rem;
}

.star-box p {
  color: #737373;
}

.case-content {
  padding: 1.25rem;
}

.case-content h3 {
  margin-bottom: 0.625rem;
}

.feature-list ul {
  display: flex;
  justify-content: space-around;
  padding-top: 3.75rem;
}

.feature-list ul li {
  display: flex;
  align-items: center;
}

.feature-list ul li img {
  width: 3.375rem;
  height: 3.375rem;
  margin-right: 0.75rem;
}

.feature-list ul li div h2 {
  font-size: 1rem;
  color: #000;
}

.feature-list ul li div p {
  color: #737373;
  font-size: 0.75rem;
}

/* 页脚 */
footer {
  padding: 3.75rem 0 1.25rem;
}

.footer-content {
}

.footer-column {
  margin-bottom: 2.625rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer-logo-box {
  margin-bottom: 2.5rem;
}

.footer-column ul {
  display: flex;
}

.footer-column ul li {
  margin-right: 1.875rem;
  font-size: 1.2rem;
}

.footer-column > img {
  width: 8.3rem;
  height: 8.3rem;
}

.foot-logo {
  display: flex;
  align-items: center;
  margin-bottom: 0.3rem;
}

.foot-logo span {
  color: #0274ff;
  font-weight: 600;
  font-size: 1.375rem;
}

.foot-logo img {
  width: 1.75rem;
  height: 2rem;
  margin-right: 0.625rem;
}

.footer-column h3 {
  margin-bottom: 1.25rem;
  font-size: 1.2rem;
}

.footer-flex {
  border-top: 0.0625rem solid #e3e7f3;
  border-bottom: 0.0625rem solid #e3e7f3;
  display: flex;
  justify-content: space-between;
  padding-top: 4.375rem;
  margin-bottom: 0.625rem;
  align-items: center;
}

.footer-column img {
  width: 6.625rem;
  height: 6.625rem;
}

.footer-content > p {
  font-size: 1rem;
  color: #666666;
  margin-bottom: 1.5rem;
}

.footer-content > p:last-of-type {
  padding-bottom: 1.25rem;
}

.footer-column > div:last-of-type {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer-column ul {
  list-style: none;
  display: flex;
  flex-direction: column;
}

.footer-column p {
  font-size: 1rem;
  color: #737373;
}

.footer-column li {
  margin-bottom: 0.625rem;
}

.footer-column a {
  color: #aaa;
}

.copyright {
  text-align: center;
  padding-top: 1.25rem;
  color: #727272;
  font-size: 0.875rem;
}
.copyright {
  a {
    color: #3172f6;
  }
}
